Summary: An MPEG video format encoder and decoder.
Name: MPEG
Version: 1.2.2
Release: 4
Copyright: public domain
Group: Applications/Multimedia
Source0: ftp://havefun.stanford.edu/pub/mpeg/MPEGv1.2.2.tar.Z 
Source1: makempeg
Source2: bike.mpg 
Source3: flowg.mpg 
Source4: tennis.mpg 
Source5: us.mpg 
Patch0: MPEG-patch
URL: ftp://havefun.stanford.edu/pub/mpeg
BuildRoot: /var/tmp/mpeg-root


%description
The MPEG package contains a public domain video encoder and decoder 
developed in accordance with the MPEG (Moving Picture Experts Group)
standard.  The MPEG standard applies to a family of higher quality
digital video compression standards and file formats.  This MPEG codec
is capable of encoding all MPEG frame types. This tool should be able
to encode and decode streams for most MPEG players.

MPEG uses algorithms for rate control, buffer-constrained encoding, and
quantization decisions similar, but not identical, to those used in the
simulation model 1-3 MPEG document.  The rate control used is a simple
proportional Q-stepsize/Buffer loop that works, but doesn't work very
well (higher quality rate-control essential for good quality
buffer-constrained MPEG encoding).  Verification of the buffering is
possible to provide streams for real-time decoders.

%prep
%setup -q -n mpegdir
%patch0 -p1 -b .mike

%build
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/bin  
mkdir -p $RPM_BUILD_ROOT/usr/share/mpeg  
mkdir -p $RPM_BUILD_ROOT/usr/man/man1 

install -m 755 -s -o root -g root mpeg $RPM_BUILD_ROOT/usr/bin
install -m 755 -o root -g root $RPM_SOURCE_DIR/makempeg $RPM_BUILD_ROOT/usr/bin
install -m 755 -o root -g root $RPM_SOURCE_DIR/*.mpg $RPM_BUILD_ROOT/usr/share/mpeg/
install -m 644 -o root -g man mpeg.1 $RPM_BUILD_ROOT/usr/man/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root) 
%doc CHANGES PORTABILITY README SETUP
/usr/bin/mpeg
/usr/bin/makempeg
/usr/share/mpeg
/usr/man/man1/mpeg.1

%changelog
* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Wed Jul 28 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Mon Apr 05 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
- added patch for C++.

* Tue Aug 11 1998 Michael Maher <mike@redhat.com>
- built package  
